#ifndef DEADBOLTDEVICE_H
#define DEADBOLTDEVICE_H

#include "GlobalDefine.h"
#include "232NetworkCommIF.h"
#include "NetworkDevice.h"


class CDeadboltDevice:  public QObject, public CNetworkDevice
{
    Q_OBJECT
public:
    CDeadboltDevice(int Address, CAbstractNetworkCommIF *NetworkInterface);
    virtual ~CDeadboltDevice();

    virtual int NewDeviceFrameReceived(int DeviceID, int DeviceAddress, int MessageID, int DataSize, QByteArray Data);

};

#endif // DEADBOLTDEVICE_H
